View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000009aMuleMiscpublic2004-04-12 18:302004-04-15 13:38
Reporterkernel_panic 
Assigned ToKry 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000009: amule aMule 2.0.0rc2 crashed when first run is stopped/closed
DescriptionSo here is what happens ...
I install amule ... then run it with 'amule' command ... it runns for while, i configure my preferences, and then i shut it down .. here is teh trace of emule shutting down ...
------------------------------

Signaling hashing thread to terminate
Preferences saving in /root/.aMule/preferences.ini
Hashing thread dying?
Hashing thread terminated, ready to shutdown
Shutting down aMule...
Save ServerCount = 0 /0x0/
Saved ServerCount endian = 0 /0x0/
Saving of server.met file Done !!!
aMule dialog destroyed
free(): invalid pointer 0x8524d98!
Now, exiting main app...
aMule shutdown completed.

-----------------------------------------
(amule was in the middle of hashing the files in the shared folder)

anywyas, i noticed something queer [invalid pointer stuff] ... then i restart amule(with the command 'amule' as usual) and bang, i get teh following ....
----------------------------------------------
[username@geronimo saves]# amule
Initialising aMule
Loading preferences from /username/.aMule/preferences.ini

OOPS! - Seems like aMule crashed
--== BACKTRACE FOLLOWS: ==--

[0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x40) [0x81fff50]
[1] /lib/tls/libpthread.so.0 [0x40f6b218]
[2] [0xfb]
Aborted

--------------------------------------------------

now i try again and again and it has failed to start (without un-installing andd reinstalling)
so , something wrong with my system or amule ?
Additional InformationOK, if i uninstall this version of amule and reinstall it, it will run for exactly one time . when i stop/close it and restart, the same error everytime .......... :(

aMule version: aMule 2.0.0rc2
Distro: Mandrake 10 Community
wxBase, wxGTK, wxGTK-devel installed from the amule.org website; libcryptopp downloaded from an www.rpmseek.com reference(libcryptopp5).

TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000011)
deltaHF (manager)
2004-04-12 22:27

fat32 partition ?

if yes, take a look here plz -> http://www.amule.org/amule/thread.php?threadid=1672&sid= [^]

greets
(0000013)
kernel_panic (reporter)
2004-04-13 13:07

Hi, Thanx for your help .. yes the temp and incoming directories are on a fat32 partition ..
I checked the link you posted .... I added the quiet option with my fat32 partition mount line in /etc/fstab ... still getting those messages ..
anyways, will wait for RC3 ......
:)

- Issue History
Date Modified Username Field Change
2004-04-12 18:30 kernel_panic New Issue
2004-04-12 22:27 deltaHF Note Added: 0000011
2004-04-13 13:07 kernel_panic Note Added: 0000013
2004-04-15 13:38 Kry Assigned To => Kry
2004-04-15 13:38 Kry Status new => resolved
2004-04-15 13:38 Kry Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker